Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASElementDeclaration

All Superinterfaces:
  ASObject

public interface ASElementDeclaration
extends ASObject

The element name along with the content specification in the context of an `ASObject`.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Field Summary
`static short` | `ANY_CONTENTTYPE` Represents an ANY content type for an Element declaration.
`static short` | `ELEMENTS_CONTENTTYPE` Represents an ELEMENTS only content type for an Element declaration.
`static short` | `EMPTY_CONTENTTYPE` Represents an EMPTY content type for an Element declaration.
`static short` | `MIXED_CONTENTTYPE` Represents a MIXED content type for an Element declaration.

Fields inherited from interface org.apache.xerces.dom3.as.ASObject
`AS_ATTRIBUTE_DECLARATION, AS_CONTENTMODEL, AS_ELEMENT_DECLARATION, AS_ENTITY_DECLARATION, AS_MODEL, AS_NOTATION_DECLARATION`

Method Summary
`void` | `addASAttributeDecl(ASAttributeDeclaration attributeDecl)` Adds an `ASAttributeDeclaration` for the element being declared.
`ASNamedObjectMap` | `getASAttributeDecls()` The`ASNamedObjectMap` containing `ASAttributeDeclarations` for all the attributes that can appear on this type of element.
`ASContentModel` | `getAsCM()` The content model of element.
`short` | `getContentType()` The content type of the element.
`ASDataType` | `getElementType()` Datatype of the element.
`boolean` | `getIsPCDataOnly()` Boolean defining whether the element type contains child elements and PCDATA or PCDATA only for mixed element types.
`boolean` | `getStrictMixedContent()` A boolean defining whether the element order and number of the child elements for mixed content type has to be respected or not.
`java.lang.String` | `getSystemId()` the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.
`ASAttributeDeclaration` | `removeASAttributeDecl(ASAttributeDeclaration attributeDecl)` Removes an `ASAttributeDeclaration` from the element being declared.
`void` | `setASAttributeDecls(ASNamedObjectMap ASAttributeDecls)` The`ASNamedObjectMap` containing `ASAttributeDeclarations` for all the attributes that can appear on this type of element.
`void` | `setAsCM(ASContentModel asCM)` The content model of element.
`void` | `setContentType(short contentType)` The content type of the element.
`void` | `setElementType(ASDataType elementType)` Datatype of the element.
`void` | `setIsPCDataOnly(boolean isPCDataOnly)` Boolean defining whether the element type contains child elements and PCDATA or PCDATA only for mixed element types.
`void` | `setStrictMixedContent(boolean strictMixedContent)` A boolean defining whether the element order and number of the child elements for mixed content type has to be respected or not.
`void` | `setSystemId(java.lang.String systemId)` the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

Methods inherited from interface org.apache.xerces.dom3.as.ASObject
`cloneASObject, getAsNodeType, getLocalName, getNamespaceURI, getNodeName, getOwnerASModel, getPrefix, setLocalName, setNamespaceURI, setNodeName, setOwnerASModel, setPrefix`

Field Detail

### EMPTY_CONTENTTYPE

    public static final short EMPTY_CONTENTTYPE

  Represents an EMPTY content type for an Element declaration.

### ANY_CONTENTTYPE

    public static final short ANY_CONTENTTYPE

  Represents an ANY content type for an Element declaration.

### MIXED_CONTENTTYPE

    public static final short MIXED_CONTENTTYPE

  Represents a MIXED content type for an Element declaration. Note that `isPCDataOnly` would also need to checked, in addition to this, if an element's content model was simply text, as an example.

### ELEMENTS_CONTENTTYPE

    public static final short ELEMENTS_CONTENTTYPE

  Represents an ELEMENTS only content type for an Element declaration.

Method Detail

### getStrictMixedContent

    public boolean getStrictMixedContent()

  A boolean defining whether the element order and number of the child elements for mixed content type has to be respected or not. For example XML Schema defined mixed content types the order is important and needs to be respected whether for DTD based AS the order and number of child elements are not important.

### setStrictMixedContent

    public void setStrictMixedContent(boolean strictMixedContent)

  A boolean defining whether the element order and number of the child elements for mixed content type has to be respected or not. For example XML Schema defined mixed content types the order is important and needs to be respected whether for DTD based AS the order and number of child elements are not important.

### getElementType

    public ASDataType getElementType()

  Datatype of the element.

### setElementType

    public void setElementType(ASDataType elementType)

  Datatype of the element.

### getIsPCDataOnly

    public boolean getIsPCDataOnly()

  Boolean defining whether the element type contains child elements and PCDATA or PCDATA only for mixed element types. `true` if the element is of type PCDATA only. Relevant only for mixed content type elements.

### setIsPCDataOnly

    public void setIsPCDataOnly(boolean isPCDataOnly)

  Boolean defining whether the element type contains child elements and PCDATA or PCDATA only for mixed element types. `true` if the element is of type PCDATA only. Relevant only for mixed content type elements.

### getContentType

    public short getContentType()

  The content type of the element. One of `EMPTY_CONTENTTYPE`, `ANY_CONTENTTYPE`, `MIXED_CONTENTTYPE`, `ELEMENTS_CONTENTTYPE`.

### setContentType

    public void setContentType(short contentType)

  The content type of the element. One of `EMPTY_CONTENTTYPE`, `ANY_CONTENTTYPE`, `MIXED_CONTENTTYPE`, `ELEMENTS_CONTENTTYPE`.

### getSystemId

    public java.lang.String getSystemId()

  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### setSystemId

    public void setSystemId(java.lang.String systemId)

  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### getAsCM

    public ASContentModel getAsCM()

  The content model of element.

### setAsCM

    public void setAsCM(ASContentModel asCM)

  The content model of element.

### getASAttributeDecls

    public ASNamedObjectMap getASAttributeDecls()

  The`ASNamedObjectMap` containing `ASAttributeDeclarations` for all the attributes that can appear on this type of element.

### setASAttributeDecls

    public void setASAttributeDecls(ASNamedObjectMap ASAttributeDecls)

  The`ASNamedObjectMap` containing `ASAttributeDeclarations` for all the attributes that can appear on this type of element.

### addASAttributeDecl

    public void addASAttributeDecl(ASAttributeDeclaration attributeDecl)

  Adds an `ASAttributeDeclaration` for the element being declared.
  Parameters:
    `attributeDecl` - The new attribute to add. If the attribute declaration already exists for the element, the call does not have any effect.

### removeASAttributeDecl

    public ASAttributeDeclaration removeASAttributeDecl(ASAttributeDeclaration attributeDecl)

  Removes an `ASAttributeDeclaration` from the element being declared.
  Parameters:
    `attributeDecl` - The attribute declaraition to be removed. If the attribute declaration does not exist for the element, the call does not have any effect.
  Returns:
    `null` if the attribute does not exist. Otherwise returns the attribute being removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.